Saved views
GET https://analyticse.com/api/dashboard-views/
curl --request GET \
--url 'https://analyticse.com/api/dashboard-views/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/dashboard-views/' \
--header 'Authorization: Bearer {api_key}' \
| Parametri | Dettagli | Descrizione |
|---|---|---|
| website_id | Facoltativo Intero | |
| search | Facoltativo String | La stringa di ricerca. |
| search_by | Facoltativo String | Quale campo stai cercando. I valori consentiti sono: name. |
| datetime_field | Facoltativo String | Valori consentiti: datetime, last_datetime |
| datetime_start | Facoltativo String | Data inizio |
| datetime_end | Facoltativo String | Data fine |
| order_by | Facoltativo String | In quale campo ordinare i risultati. I valori consentiti sono: dashboard_view_id, website_id, user_id, name, datetime, last_datetime. |
| order_type | Facoltativo String | L'ordinamento dei risultati. I valori consentiti sono: ASC per ordinamento crescente e DESC per ordinamento decrescente. |
| page | Facoltativo Intero | Il numero di pagina da cui desideri i risultati. Predefinito a 1. |
| results_per_page | Facoltativo Intero | Quanti risultati vuoi per pagina. I valori consentiti sono: 10, 25, 50, 100, 250, 500, 1000. Predefinito è 25. |
{
"data": [
{
"id": 1,
"website_id": 1,
"user_id": 1,
"name": "Example",
"filters": [
{
"by": "country_code",
"rule": "is",
"value": "US"
}
],
"datetime": "2026-09-12 00:49:09",
"last_datetime": null
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total_results": 1,
"total_pages": 1
},
"links": {
"first": "https://analyticse.com/api/dashboard-views?page=1",
"last": "https://analyticse.com/api/dashboard-views?page=1",
"next": null,
"prev": null,
"self": "https://analyticse.com/api/dashboard-views?page=1"
}
}
GET https://analyticse.com/api/dashboard-views/{dashboard_view_id}
curl --request GET \
--url 'https://analyticse.com/api/dashboard-views/{dashboard_view_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/dashboard-views/{dashboard_view_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"name": "Example",
"filters": [
{
"by": "country_code",
"rule": "is",
"value": "US"
}
],
"datetime": "2026-09-12 00:49:09",
"last_datetime": null
}
}
POST https://analyticse.com/api/dashboard-views
| Parametri | Dettagli | Descrizione |
|---|---|---|
| website_id | Richiesto Intero | - |
| name | Richiesto String | - |
| filters | Richiesto String | JSON encoded array with by, rule, and value. |
curl --request POST \
--url 'https://analyticse.com/api/dashboard-views' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'filters=[{"by":"country_code","rule":"is","value":"US"}]' \
--url 'https://analyticse.com/api/dashboard-views' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'filters=[{"by":"country_code","rule":"is","value":"US"}]' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"name": "Example",
"filters": [
{
"by": "country_code",
"rule": "is",
"value": "US"
}
],
"datetime": "2026-09-12 00:49:09",
"last_datetime": null
}
}
POST https://analyticse.com/api/dashboard-views/{dashboard_view_id}
| Parametri | Dettagli | Descrizione |
|---|---|---|
| website_id | Facoltativo Intero | - |
| name | Facoltativo String | - |
| filters | Facoltativo String | JSON encoded array with by, rule, and value. |
curl --request POST \
--url 'https://analyticse.com/api/dashboard-views/{dashboard_view_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'filters=[{"by":"country_code","rule":"is","value":"US"}]' \
--url 'https://analyticse.com/api/dashboard-views/{dashboard_view_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'filters=[{"by":"country_code","rule":"is","value":"US"}]' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"name": "Example",
"filters": [
{
"by": "country_code",
"rule": "is",
"value": "US"
}
],
"datetime": "2026-09-12 00:49:09",
"last_datetime": "2026-09-12 00:49:09"
}
}
DELETE https://analyticse.com/api/dashboard-views/{dashboard_view_id}
curl --request DELETE \
--url 'https://analyticse.com/api/dashboard-views/{dashboard_view_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/dashboard-views/{dashboard_view_id}' \
--header 'Authorization: Bearer {api_key}' \